Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util
Interface PrefixMap

All Known Implementing Classes:
  PrefixMapImpl

    public interface PrefixMap

A `PrefixMap` contains prefix/namespace URI declarations.

Nested Class Summary
`static interface` | `PrefixMap.PrefixMapping`

Method Summary
`boolean` | `containsPrefixMapping(java.lang.String prefix, java.lang.String namespaceUri)`
`PrefixMap.PrefixMapping[]` | `getLocalPrefixDeclarations()`
`java.lang.String` | `getNamespaceUri(java.lang.String prefix)`
`PrefixMap` | `getParent()`
`java.lang.String` | `getPrefix(java.lang.String namespaceUri)`
`PrefixMap.PrefixMapping[]` | `getPrefixDeclarations()`
`void` | `getPrefixDeclarations(java.util.Set<PrefixMap.PrefixMapping> prefixDeclarations)`
`java.lang.String` | `getPrefixDeclarationString()` Creates a list of all namespaces declared for the current scope, separated by spaces

Method Detail

### containsPrefixMapping

    boolean containsPrefixMapping(java.lang.String prefix,
                                  java.lang.String namespaceUri)

### getNamespaceUri

    java.lang.String getNamespaceUri(java.lang.String prefix)

### getPrefix

    java.lang.String getPrefix(java.lang.String namespaceUri)

### getPrefixDeclarationString

    java.lang.String getPrefixDeclarationString()

  Creates a list of all namespaces declared for the current scope, separated by spaces

  Returns:
    the list of namespaces

### getParent

    PrefixMap getParent()

### getPrefixDeclarations

    PrefixMap.PrefixMapping[] getPrefixDeclarations()

### getPrefixDeclarations

    void getPrefixDeclarations(java.util.Set<PrefixMap.PrefixMapping> prefixDeclarations)

### getLocalPrefixDeclarations

    PrefixMap.PrefixMapping[] getLocalPrefixDeclarations()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD